@echo off
echo *****    欢迎使用乐视超级手机1 RECOVERY工具    *****
echo ****************************************************

set adb="%~dp0\adb.exe"
set fastboot="%~dp0\fastboot.exe"

:Check
echo   -- 正在检测手机连接情况.....
for /f %%i in ('%fastboot% devices') do set dev=%%i
IF defined dev goto Flash_recovery
%adb% shell echo > nul 2>&1
IF not ERRORLEVEL 0 goto Nodev
echo **************手机已连接，检测手机型号**************
for /f %%i in ('%adb% shell getprop ro.product.device') do set dev=%%i
echo   -- 型号：%dev%
if not %dev:~0,4%==x600  goto Noletv
echo ******************乐视手机连接成功!******************
echo   -- 将重启到FASTBOOT, 按任意键继续，期间不要有任何操作.....
pause >nul
%adb% reboot bootloader
echo   -- 请稍候.....
echo   -- 如果屏幕已经显示FASTBOOT，程序没有继续运行，请检查FASTBOOT驱动.....

:Flash_recovery
fastboot device > nul 2>&1
echo   -- 已进入FASTBOOT模式，请按任意键继续刷入.....
pause >nul
echo   -- 正在刷入Recovery, 请稍等.....
ping -n 3 127.0.0.1 > nul
%fastboot% flash recovery recovery.img 2>&1 | find /i "okay"
echo   -- 看到OKAY字样说明已经刷入.....
echo   -- 按任意键将退出程序并启动到Recovery.....
pause >nul
%fastboot% oem reboot-recovery > nul 2>&1
::echo   -- 按任意键退出.....
::pause >nul
goto End

:Nodev
echo   -- 未连接手机，如果已插入手机，请打开USB调试，安装好驱动.....
echo   -- 请按任意键继续.....
pause >nul
goto Check

:Noletv
echo   -- 你插入的手机不是乐视1 重新插入后按任意键继续.....
pause >nul
goto Check

:End